REGULATOR_ENABLE(9)

NAME
regulator_enable - enable regulator output

SYNOPSIS

int regulator_enable(struct regulator * regulator);

ARGUMENTS

regulator
    regulator source

DESCRIPTION

Request that the regulator be enabled with the regulator output at the predefined voltage or current value. Calls to regulator_enable must be balanced with calls to regulator_disable.

NOTE

the output value can be set by other drivers, boot loader or may be hardwired in the regulator.

AUTHORS

Liam Girdwood <lrg@slimlogic.co.uk>
    Author.

Mark Brown <broonie@opensource.wolfsonmicro.com>
Wolfson Microelectronics,

    Author.

COPYRIGHT